Bug 148985 - Impress crash on animation search
Summary: Impress crash on animation search
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0 target:7.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-05-08 12:09 UTC by BDF
Modified: 2022-05-10 09:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
crash test file (11.27 KB, application/vnd.oasis.opendocument.presentation)
2022-05-08 12:11 UTC, BDF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BDF 2022-05-08 12:09:18 UTC
Description:
When I search for a specific word in the object animation in Impress, LibreOffice crashes.
After a bit of testing I think the 'specific word' is any word that does not exist in the list. 

Steps to Reproduce:
1. Add an object animation to an object (eg. a simple square)
2. Click in the animation selection list to make it active
3. Search for something that does not exist (eg. "zzz")

Actual Results:
Impress crashes

Expected Results:
Impress does not crash. Maybe even tells me that it didn't find any result.


Reproducible: Always


User Profile Reset: No



Additional Info:
Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-40-generic (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 4800H with Radeon Graphics
Memory: 30.8 GiB of RAM
Graphics Processor: AMD RENOIR

LIBRE OFFICE:
Version: 7.3.3.2 / LibreOffice Community
Build ID: d1d0ea68f081ee2800a922cac8f79445e4603348
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: de-AT (de_AT.UTF-8); UI: de-DE
Installation source: Flatpak
Calc: threaded
Comment 1 BDF 2022-05-08 12:11:28 UTC
Created attachment 180000 [details]
crash test file

A simple file to test the crash

Steps:
1) Open file
2) Select square
3) Add object animation
4) Click in list of selectable animations
5) Type to search for something that doesn't exist
6) Crash
Comment 2 BDF 2022-05-08 12:22:05 UTC
2nd test
Libre Office: 7.3.2.2
OS: Windows 10

I tested this bug on my Windows machine and it does not crash over there. Unlike Linux, Windows does only search for a single letter you just pressed. So if you type "bug" it jumps to the first result for 'b', then jumps to the first result of 'u' and then the first result of 'g'. If there is no entry starting with said number, it does not do anything.

On Linux the letters are kept. So it searches for 'b' then 'bu' and then 'bug'. If there is no entry for the searched term Impress crashes. This also applies if the first letter does not exist (eg. if you type "y" in Impress with german UI).
Comment 3 raal 2022-05-08 21:32:45 UTC
Confirm Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 08c979e235aa993f50e54224f8c715bb70697c33
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo

Version: 7.0.0.0.alpha1+
Build ID: 574c57090642347980d2395e1e183cc7b5c171ad
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded

In Version: 5.4.0.0.alpha1+ the animation is not searchable, so it should be bibisectable.
Comment 4 raal 2022-05-08 21:42:55 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one?
Thanks
 9ff12c78a14275c103335bce76a0ddee5680ef49 is the first bad commit
commit 9ff12c78a14275c103335bce76a0ddee5680ef49
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Apr 6 21:44:38 2020 +0200

    source sha:21e8ce9ab9a522d25e95773af59b7ccccaee4e54

https://git.libreoffice.org/core/+/21e8ce9ab9a522d25e95773af59b7ccccaee4e54
   weld custom animation panel
Comment 5 Commit Notification 2022-05-09 10:37:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/247f4aefb9879dd465e34a2072218a0f1748de53

Resolves: tdf#148985 crash on searching for non-existing prefix

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2022-05-09 10:37:32 UTC
done in trunk, backport to 7-3 in gerrit
Comment 7 Commit Notification 2022-05-09 17:15:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/502a45e112cdc5e296311ef8f3c220b706340e06

Resolves: tdf#148985 crash on searching for non-existing prefix

It will be available in 7.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BDF 2022-05-09 22:46:44 UTC
I tested this with LibreOfficeDev-7.4.0.0.alpha0_2022-01-23.standard-x86_64.AppImage that I downloaded from https://libreoffice.soluzioniopen.com/daily-version/

Pro: The crash can no longer be reproduced
Contra: The search is now just like in Windows. So you have to know where the effect is you want to have or go on a happy scroll tour with your mouse (should this be added as a feature request?)

----------

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 465c3ad95059f0efa13c8027f7383c4d20a5b2ff
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: de-AT (de_AT.UTF-8); UI: de-DE
Calc: threaded
Comment 9 BDF 2022-05-10 09:34:55 UTC
I moved the suggestion to here: Bug 149015 - Impress: Improve search for animations

see https://bugs.documentfoundation.org/show_bug.cgi?id=149015